QSql(3qt)

NAME
QSql - Namespace for Qt SQL identifiers that need to be global-like

SYNOPSIS
#include <ntqsql.h>

  Public Members
QSql ()
enum Op { None = -1, Insert = 0, Update = 1, Delete = 2 }
enum Location { BeforeFirst = -1, AfterLast = -2 }
enum Confirm { Cancel = -1, No = 0, Yes = 1 }
enum ParameterType { In = 1, Out = 2, InOut = 3 }
enum TableType { Tables = 0x01, SystemTables = 0x02, Views = 0x04, AllTables = 0xff }

DESCRIPTION
The QSql class is a namespace for Qt SQL identifiers that need to be global-like.

Normally, you can ignore this class. Several Qt SQL classes inherit it, so all the identifiers in the Qt SQL namespace are visible without qualification.

See also Database Classes.

  Member Type Documentation

QSql::Confirm
This enum type describes edit confirmations.

QSql::Yes

QSql::No

QSql::Cancel

QSql::Location
This enum type describes SQL navigation locations.

QSql::BeforeFirst

QSql::AfterLast

QSql::Op
This enum type describes edit operations.

QSql::None

QSql::Insert

QSql::Update

QSql::Delete

QSql::ParameterType
This enum is used to set the type of a bind parameter

QSql::In - the bind parameter is used to put data into the database

QSql::Out - the bind parameter is used to receive data from the database

QSql::InOut - the bind parameter is used to put data into the database; it will be overwritten with output data on executing a query.

QSql::TableType
This enum type describes types of tables

QSql::Tables - All the tables visible to the user

QSql::SystemTables - Internal tables used by the DBMS

QSql::Views - All the views visible to the user

QSql::AllTables - All of the above

MEMBER FUNCTION DOCUMENTATION

QSql::QSql ()
Constructs a Qt SQL namespace class

SEE ALSO
http://doc.trolltech.com/ntqsql.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsql.3qt) and the Qt version (3.3.8).